<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android" xmlns:tools="http://schemas.android.com/tools" package="com.ihuman.read" android:installLocation="preferExternal">
  <supports-screens android:anyDensity="true" android:largeScreens="true" android:normalScreens="true" android:smallScreens="true" android:xlargeScreens="true" />
  <application android:name=".MainApplication" android:icon="@mipmap/ic_launcher" android:isGame="false" android:extractNativeLibs="true"
               android:label="@string/app_name" android:allowBackup="false" android:resizeableActivity="false" android:theme="@style/UnityThemeSelector" android:usesCleartextTraffic="true" tools:replace="android:allowBackup">
    <activity android:name=".SplashActivity" android:exported="true" android:alwaysRetainTaskState="true" android:configChanges="orientation|screenSize" android:screenOrientation="landscape" android:theme="@android:style/Theme.Light.NoTitleBar.Fullscreen" android:taskAffinity="${applicationId}">
      <intent-filter>
        <action android:name="android.intent.action.MAIN" />
        <category android:name="android.intent.category.LAUNCHER" />
      </intent-filter>
    </activity>
    <activity android:name=".MainActivity" android:exported="true" android:configChanges="mcc|mnc|locale|touchscreen|keyboard|keyboardHidden|navigation|orientation|screenLayout|uiMode|screenSize|smallestScreenSize|fontScale|layoutDirection|density" android:label="@string/app_name" android:launchMode="singleTask" android:screenOrientation="landscape" android:theme="@style/Theme.AppCompat.NoTitleBar.Fullscreen" android:taskAffinity="${applicationId}">
      <meta-data android:name="unityplayer.UnityActivity" android:value="true" />
      <intent-filter>
        <action android:name="android.intent.action.VIEW" />
        <category android:name="android.intent.category.DEFAULT" />
        <category android:name="android.intent.category.BROWSABLE" />
        <data android:scheme="${applicationId}" />
      </intent-filter>
    </activity>
    <!-- 微信分享支付-->
    <activity android:name="${applicationId}.wxapi.WXEntryActivity" android:configChanges="keyboardHidden|orientation|screenSize" android:exported="true"
              android:theme="@android:style/Theme.Translucent.NoTitleBar" />
    <activity android:name="${applicationId}.wxapi.WXPayEntryActivity" android:exported="true" android:launchMode="singleTop" android:theme="@android:style/Theme.Translucent.NoTitleBar" />
    <!--裁剪-->
    <activity android:name="com.yalantis.ucrop.UCropActivity" android:screenOrientation="portrait" android:theme="@style/Theme.AppCompat.Light.NoActionBar" />
    <!-- 互推 -->
    <!-- <activity android:name=".ui.recommand.RecommandActivity" android:configChanges="orientation|keyboardHidden|screenSize" android:hardwareAccelerated="false" android:launchMode="singleTask" android:screenOrientation="portrait" android:theme="@android:style/Theme.NoTitleBar.Fullscreen" /> -->
    <!-- <activity android:name="com.ihuman.library.accountsdk.ui.recommand.RecommandActivity" android:hardwareAccelerated="false" android:launchMode="singleTask" android:screenOrientation="behind" android:theme="@android:style/Theme.NoTitleBar.Fullscreen" /> -->
    <!--统一登录-->
    <activity
        android:name="com.ihuman.sdk.lib.webkit.ui.page.IHNormalLandScapeWebViewActivity"
        android:exported="true"
        android:taskAffinity="${applicationId}"
        tools:replace="android:taskAffinity" />
    <activity
        android:name="com.ihuman.sdk.lib.webkit.ui.page.IHNormalPortraitWebViewActivity"
        android:exported="true"
        android:taskAffinity="${applicationId}"
        tools:replace="android:taskAffinity" />
    <activity
        android:name="com.ihuman.sdk.lib.webkit.ui.page.IHFloatLandScapeWebViewActivity"
        android:exported="true"
        android:taskAffinity="${applicationId}"
        tools:replace="android:taskAffinity" />
    <activity
        android:name="com.ihuman.sdk.lib.webkit.ui.page.IHFloatPortraitWebViewActivity"
        android:exported="true"
        android:taskAffinity="${applicationId}"
        tools:replace="android:taskAffinity" />
    <activity android:name="com.ihuman.sdk.module.broadcast.ui.BroadcastActivity"
              android:taskAffinity="${applicationId}" tools:replace="android:taskAffinity" />
    <activity android:name="com.ihuman.sdk.module.broadcast.ui.LandScapeBroadcastActivity" android:taskAffinity="${applicationId}" tools:replace="android:taskAffinity" />
    <activity android:name="com.ihuman.sdk.module.broadcast.ui.PortraitBroadcastActivity" android:taskAffinity="${applicationId}" tools:replace="android:taskAffinity" />
    <activity android:name="com.ihuman.sdk.lib.pay.ui.PayQrActivity" android:taskAffinity="${applicationId}" tools:replace="android:taskAffinity" />
    <meta-data android:name="android.notch_support" android:value="true" />
    <provider android:name="androidx.core.content.FileProvider" android:authorities="${applicationId}.provider" android:exported="false" android:grantUriPermissions="true">
      <meta-data android:name="android.support.FILE_PROVIDER_PATHS" android:resource="@xml/provider_paths" />
    </provider>
  </application>
  <uses-feature android:glEsVersion="0x00030000" />
  <!-- 联网权限 -->
  <uses-permission android:name="android.permission.INTERNET" />
  <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" tools:ignore="ProtectedPermissions" />
  <!-- 向SDCard写入数据权限 保存图片到系统相册会用到 -->
  <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
  <uses-permission android:name="${EXT_READ_EXTERNAL_STORAGE}" />
  <uses-permission android:name="${RME_READ_EXTERNAL_STORAGE}" tools:node="remove" />
  <!-- 获取手机状态权限 -->
  <uses-permission android:name="${EXT_READ_PHONE_STATE}" />
  <uses-permission android:name="${RME_READ_PHONE_STATE}" tools:node="remove" />
  <!-- 安装其他应用 -->
  <uses-permission android:name="${EXT_REQUEST_INSTALL_PACKAGES}" />
  <uses-permission android:name="${RME_REQUEST_INSTALL_PACKAGES}" tools:node="remove" />
  <!-- 网络判断权限 -->
  <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
  <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
  <!-- 照相机 -->
  <uses-permission android:name="android.permission.CAMERA" />
  <!-- bugly 权限 -->
  <uses-permission android:name="android.permission.READ_LOGS" tools:ignore="ProtectedPermissions" />
  <uses-feature android:name="android.hardware.location.gps" android:required="false" />
  <uses-feature android:name="android.hardware.location" android:required="false" />
  <uses-feature android:name="android.hardware.sensor.accelerometer" android:required="false" />
  <uses-feature android:name="android.hardware.touchscreen" android:required="false" />
  <uses-feature android:name="android.hardware.touchscreen.multitouch" android:required="false" />
  <uses-feature android:name="android.hardware.touchscreen.multitouch.distinct" android:required="false" />
<!--  &lt;!&ndash;麦克风权限&ndash;&gt;-->
  <uses-permission android:name="android.permission.RECORD_AUDIO" />
<!--  &lt;!&ndash;蓝牙权限&ndash;&gt;-->
<!--  <uses-permission android:name="android.permission.BLUETOOTH" />-->
<!--  <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />-->
<!--  &lt;!&ndash;地理位置权限&ndash;&gt;-->
<!--  <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />-->
<!--  <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />-->
    <!-- android 14 读取相册权限    -->
    <uses-permission android:name="android.permission.READ_MEDIA_IMAGES" />


</manifest>